@charset "UTF-8";

/*
Theme Name: ma
Template: twentytwelve
*/
#wpcontent, #wpfooter {
    margin-left: 0px !important;
}
html.wp-toolbar {
    padding-top: 0px !important;
    box-sizing: border-box;
    -ms-overflow-style: scrollbar;
}
.mce-notification.mce-has-close {
    padding-right: 15px;
    display: none;
}
.notice-warning,
.mce-has-close{
    position: absolute;
    top: -100000px;
    }
 #screen-meta-links, #wpadminbar, #swpm_sectionid, #slugdiv, #adminmenuback, #adminmenuwrap, #ed_toolbar, #aioseo-settings, #post-status-info, #notice, #preview-action, .page-title-action, .count{
    display:none;
    }
#local-storage-notice, #submitdiv .postbox-header .ui-sortable-handle, .media-frame-menu-toggle, .media-toolbar{
    position: absolute;
    top: -100000px;
    bottom: 0!important;
    }
#postbox-container-1,#postbox-container-1{
    display: block;
    
}
.CodeMirror-gutters{
    background: none;   
}
.aioseo-score-settings, .wp-heading-inline, .autosave-info, .search-box, .wp-media-buttons-icon,  .misc-pub-visibility, .misc-pub-curtime{
    position: absolute;
    top: -100000px;
    }
section#header-title {
    background-color: #ccc;
    padding-top: 20px;
    padding-bottom: 20px;
    margin-bottom: 20px;
}
section#header-title h2 {
    font-size: 150%;
    text-align: center;
    margin-bottom: 3px;
    font-weight: 700;
    margin:0px !important;
}
#wpcontent, #wpfooter {
    margin-left: 0px !important;
}
#poststuff #post-body.columns-2 {
    margin-right:  0px !important;
}
.tablenav .actions select {
    display: block;
}
html.wp-toolbar {
    padding-top: 0px !important;
    box-sizing: border-box;
    -ms-overflow-style: scrollbar;
}
.wp-list-table tfoot, .handle-actions, .CodeMirror-lint-markers, .notice-info, .screen-reader-text, .clear_cache_link, li.all{
    display:none;
}
#footer_copyright{
    display:block !important; 
}
#footer_copyright a{
    color:#000 !important; 
}
.wrap a{
    color:#000 !important; 
}
.wp-media-buttons-icon{
    display: none;   
}
.CodeMirror {
    font-family: monospace;
    height: 80vh;
    color: #000;
    direction: ltr;
}
#postbox-container-2{
    display: block;
}

#publishing-action {
    text-align: center;
    float: none;
    line-height: 1.9;
}

.wp-core-ui #publishing-action #publish {
    min-height: 40px;
    width:320px;
    line-height: 40px;
    padding: 0 12px;
    display: block;
    margin: 0 auto 20px;
    background: #000;
    border :none !important;
    border-radius: 40px;
}

#minor-publishing-actions {
    padding: 10px 10px 0 10px;
    text-align: right;
/*    position: absolute;*/
    top: 27px;
}
#titlediv {
    position: relative;
    margin-top: 15px;
    padding-top: 15px;
    border-top: 1px solid #ccc;
}
#inline-preview-iframe{ 
    width:99%;
}
#wpbody-content{
    padding-bottom: 0px !important;
}
a#custom-preview.button{
    font-size:0px !important;
    padding:0px;
    border-radius: 50%;
    width:36px;
    height:36px;
    background-image: url(/wp-content/themes/ma/assets/editor/img/icons/icon-replay.svg);
    background-size: cover;
    background-position: center center;
    border: none;
    position: absolute;
    right: 0;
    top: -40px;
    z-index: 2;
}
#wpbody{
    padding-top: 0px !important;
}
#wp-content-editor-container {
    position: relative;
    margin-top: 40px;
}
body.inline-preview #wpwrap{
    padding-right: unset!important;
}
.attachment-details span[data-setting="alt"],
.attachment-details span[data-setting="caption"],
.attachment-details span[data-setting="title"],
.attachment-details span[data-setting="description"],
#alt-text-description{
    display: none;

}
.media-toolbar-primary .media-button-insert,
.wp-core-ui .button-primary[disabled] {
    color: #fff!important;
    background: #fff!important;
    border-color: #fff!important;
    box-shadow: none!important;
    text-shadow: none!important;
    cursor: none;
        position: absolute;
    top: -100000px;
}



@media only screen and (max-width: 900px){
.media-sidebar {
    width: 100%;
}
}

.CodeMirror-gutters{
    border: none!important;
}
.wrap .CodeMirror .CodeMirror-linenumber {
    color: #999!important;
    width:35px;
}
.CodeMirror-scroll{
    background: #eee!important;
    border: none!important;
    
}
body{
     background: #fff!important;   
}
.cm-s-default .cm-keyword {
    color: #1574aa;
}
.cm-s-default .cm-def {
    color: #DD4B69;
}
.cm-s-default .cm-operator {
    color: #A68058;
}
.CodeMirror-activeline-background {
    background: #dbdbdb;
}
.wp-core-ui .CodeMirror-lint-message-warning:before, .wrap .CodeMirror-lint-marker-warning:before {
        content: "\f057";
    color: #ff0000;
    font-family: FontAwesome;
    font-size: 14px;
    
}
#wp-content-wrap{
    padding-top:0px !important;
}
.cm-s-default .cm-number {
    color: #990656;
}
#wp-content-editor-tools{
    display:none;
}
#wp-content-editor-tools2 {
    background-color: #fff;
    padding-top: 20px;
}

#major-publishing-actions {
    padding: 10px;
    clear: both;
    border-top: none;
    background: #fff;
}

.CodeMirror .CodeMirror-placeholder { 
    color:#999;
}


.postbox {
    position: relative;
    min-width: 100%;
    border: none;
    box-shadow: none;
    background: #fff;
    margin: 0 auto;
    display: grid;
}

.postbo
.media-button-select{
    min-height: 40px;
    width:100% !important;
    line-height: 40px;
    padding: 0 12px;
    display: block;
    margin: 20px auto 20px !important;
    background: #000 !important;
    border :none !important;
    border-radius: 40px !important;
}
.media-toolbar-primary {
     float: none; 
    height: 100%;
    position: relative;
}
#postimagediv{
    display: inline-block;
}

.postbox-header {
    display: inline-block;
    align-items: center;
    justify-content: space-between;
    border-bottom: none;
}
.thickbox{
    background-color: #eee;
    text-align: center;
    height: 40px;
    width:160px;
    line-height: 2px;
    padding: 20px 0;
    color:#ccc;
    border-radius: 20px;
    
}
#poststuff .inside {
    margin: 10px 0 0 0;
    display: inline-block;
}
#set-post-thumbnail {
    background-color: #eee;
    text-align: center;
    height: 40px;
    width: 100%;
    min-width: 160px;
    line-height: 2px;
    padding: 20px 0;
    color: #ccc;
    border-radius: 20px;
}
#insert-media-button{
    background-color: #eee;
    text-align: center;
    height: 40px;
    width:160px;
    line-height: 2px;
    padding: 20px 0;
    color:#ccc;
    border-radius: 20px;
    border: none;
    font-size:0px;
    float:right;
    margin-right: 30px;
}
#titlediv #title-prompt-text {
    padding: 10px 10px;
    font-size: 12px;
}
/*
#inline-preview-container{
    width:100% !important;
}*/
#poststuff .inside p{
    display:block;
    width:100%;
}
#postimagediv .inside img {
    max-width: 100%;
    height: auto;
    width: 100%;
     vertical-align: baseline;
    background-image: linear-gradient(
45deg
,#c3c4c7 25%,transparent 25%,transparent 75%,#c3c4c7 75%,#c3c4c7),linear-gradient(
45deg
,#c3c4c7 25%,transparent 25%,transparent 75%,#c3c4c7 75%,#c3c4c7);
    background-position: 0 0,10px 10px;
    background-size: 20px 20px;

}
#postimagediv::after{
    content:'上传封面图后，在“编辑作品”中可以看到作品的缩略图。';
    font-size:12px;
    display: block;
    line-height: 1.8;
}
#titlewrap::before{
    content:'标题';
    font-size:14px;
    font-weight: bold;
    display: block;
    margin: 0 0 10px 10px;
}
#wp-content-media-buttons{
    margin-bottom: 10px;
    width:100%;
}
#wp-content-media-buttons::before{
    content:'媒体';
    font-size:14px;
    font-weight: bold;
    display: inline-block;
    margin: 0 20px 10px 10px;
    line-height: 40px;
}
.wp-media-buttons {
     float: none; 
}
#insert-media-button::before {
    content: '选择文件';
    font-size: 14px;
    color: #000;
    width:160px;
    height:40px;
    font-weight: normal;
    display: inline-block;
    margin: 0 auto;
    text-align: center;
}
#wp-content-editor-tools2::after{
    white-space:pre-wrap;
    content: '在上传图像与声音文件后，这些文件就可以被程序读取。将上传好的文件的URL复制到粘贴板后，将其插进任意的地方即可。';
    font-size:12px;
    display: block;
    line-height: 1.8;
}
input#save-post {
    background-color: #eee;
    text-align: center;
    height: 40px;
    width:100%;
    line-height: 2px;
    padding: 20px 0;
    color:#000;
    border-radius: 20px;
    border: none;
    font-size:14px;
}
#post-body-content{
    margin-bottom: 0px;
}

#titlediv div.inside {
    margin: 0;
    width: 100%;
}
.wp-core-ui .CodeMirror-lint-message-error, .wp-core-ui .CodeMirror-lint-message-warning {
    box-shadow: 0 1px 1px 0 rgb(0 0 0 / 10%);
    margin: 5px 0 2px;
    padding: 3px 12px 3px 28px;
}

#remove-post-thumbnail{
    text-decoration:underline;
}
.howto{
    color:#fff;
}
.tablenav.top {
    margin: 20px 0 5px 0;
    display:none;
}
.tablenav.bottom {
    position: relative;
    margin: 15px 0 40px;
}
[type=checkbox]:checked, [type=checkbox]:not(:checked) {
     position: relative; 
     opacity: 0.8; 
    /* width: 15px; */
    /* height: 15px; */
    border-radius: 20px;
}

#menu-management .menu-edit, #menu-settings-column .accordion-container, .comment-ays, .feature-filter, .imgedit-group, .manage-menus, .menu-item-handle, .popular-tags, .stuffbox, .widget-inside, .widget-top, .widgets-holder-wrap, .wp-editor-container, p.popular-tags, table.widefat {
     border: none; 
     box-shadow: none; 
}

.tablenav-pages .tablenav-paging-text {
     float: none; 
    width: 100%;
    padding-top: .5em;
}
.tablenav .actions {
    padding: 0 8px 0 0;
    display: flex;
}
#doaction2 {
    background-color: #eee;
    text-align: center;
    height: 50px;
    width: 180px;
    line-height: 2px;
    padding: 20px 0;
    color: #000;
    border-radius: 40px;
    border: none;
    font-size: 16px;
}
.wp-core-ui .button-group.button-small .button, .wp-core-ui .button.edit-slug {
    background-color: #eee;
    text-align: center;
    height: 40px;
    width:160px;
    line-height: 2px;
    padding: 20px 0;
    color:#000;
    border-radius: 20px;
    border:none;
    float: right;
    margin:10px 20px 10px 0;
}
#sample-permalink{
    margin:10px 0;
}
#edit-slug-box strong{
    font-size:0px;
}

#edit-slug-box strong::before{
    content:'作品URL';
    font-size:14px;
    font-weight: bold;
    display: inline-block;
    margin: 0 0px 5px 0px;
}
.row-actions .edit{
    display:none;
}
.notice-success, div.updated {
    border-left-color: none;
    border:none;
}
#message p a{
    display: block;
    
}

.wp-core-ui .button-disabled, .wp-core-ui .button-secondary.disabled, .wp-core-ui .button-secondary:disabled, .wp-core-ui .button-secondary[disabled], .wp-core-ui .button.disabled, .wp-core-ui .button:disabled, .wp-core-ui .button[disabled] {
    color: #a7aaad!important;
    border-color: #dcdcde!important;
    background: #f6f7f7!important;
    box-shadow: none!important;
    cursor: default;
    transform: none!important;
    border: none;
}

.tablenav .tablenav-pages .button, .tablenav .tablenav-pages .tablenav-pages-navspan {
    min-width: 44px;
    padding: 12px 8px;
    font-size: 18px;
    line-height: 1;
    border: none;
}

.submitdelete{
    font-size:0px;
}
.submitdelete::after{
    content: "\f1f8";
    color: #999;
    font-family: FontAwesome;
    font-size: 24px;
    position: relative;
    top: -8px;
}
body:not(.plugins-php) .row-actions {
    display: -ms-grid;
    display: block;
    -ms-grid-columns: auto auto auto;
    grid-template-columns: auto auto auto;
    color: transparent;
    /* position: fixed; */
    /* top: 0; */
    /* width: 30px; */
    /* height: 30px; */
    float: right;
}
#delete-action {
    line-height: 1.5;
    float: right;
}
#preview-action{
    display: none;
}
#publishing-action input[type="submit"]{
    position: relative;
}
/*
#publishing-action::after {
    content: '保存';
    color: #fff;
    position: relative;
    top: -55px;
    font-size: 16px;
    font-weight: bold;
}
*/

.sketchbook_footer{
    background: #eceded;
    padding:20px;
}
.sketchbook_footer .sketch_title{
    font-size:18px;
    font-weight: bold;
    color:#333;
}
.sketchbook_footer .sketch_title .sketch_icon{
    background-image: url(../assets/image/sketch_icon03.svg);
	background-position: center center;
	background-repeat: no-repeat;
    width:30px;
    height:20px;
    display: inline-block;
    position: relative;
    top:4px;
    margin-right:5px;
}
.sketchbook_footer .sketch_menu{
    font-size:16px;
    font-weight: normal;
    color:#333;
    padding:20px 0px;
}
.sketchbook_footer .sketch_menu a{
    font-size:16px;
    font-weight: normal;
    color:#333;
    margin:0 15px 0 30px;
}
.media-frame-title h1{
    text-align: center;
}
.uploader-inline-content .upload-ui {
    margin: 2em auto;
    text-align: center;
}

.wp-core-ui .button-group.button-hero .button, .wp-core-ui .button.button-hero {
    background-color: #eee;
    text-align: center;
    height: 40px;
    width: 160px;
    line-height: 2px;
    padding: 20px 0;
    color: #000;
    border-radius: 40px;
    border: none;
    font-size: 16px;
}
.max-upload-size{
    text-align: center;
}
.media-sidebar {
    z-index: 1900;
    max-width: 99%;
    /* bottom: 120%; */
    /* box-sizing: border-box; */
    /* padding-bottom: 0; */
}
.wp-core-ui .button.copy-attachment-url {
    background-color: #eee;
    text-align: center;
    height: 40px;
    width: 320px;
    line-height: 2px;
    padding: 20px 0;
    color: #000;
    border-radius: 40px;
    border: none;
    font-size: 9px;
}
  @media(max-width:767px){
   
    /* メディア選択画面 */
    .media-sidebar.visible{
        top: auto !important;
        bottom: 0px !important;
        left: 0 !important;
        right: 0 !important;
        width: 100% !important;
        max-width: 100% !important;
        height: 200px !important;
 
    }
    .attachments-browser .attachments, .attachments-browser .media-toolbar, .attachments-browser .uploader-inline{
        height: 157px;
    }
 
  }


#misc-publishing-actions {
    padding: 6px 0 0;
    width: 100%;
/*    position: absolute;*/
    top: 10px;
}
.wp-core-ui select#post_status {
    font-size: 12px;
    line-height: 2;
    color: #2c3338;
    border-color: #8c8f94;
    box-shadow: none;
    border-radius: 3px;
    padding: 0 24px 0 8px;
    min-height: 20px;
    max-width: 25rem;
    -webkit-appearance: none;
    background: #fff url(data:image/svg+xml;charset=US-ASCII,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M5%206l5%205%205-5%202%201-7%207-7-7%202-1z%22%20fill%3D%22%23555%22%2F%3E%3C%2Fsvg%3E) no-repeat right 5px top 55%;
    background-size: 16px 16px;
    cursor: pointer;
    vertical-align: middle;
    width: 100px;
    height: 30px;
}

#post-body .misc-pub-comment-status:before, #post-body .misc-pub-post-status:before {
    content: none;
}
.wp-core-ui .save-post-status.button {
    position: relative;
    margin: 0 14px 0 10px;
    min-height: 30px;
    height: 30px;
    line-height: 30px;
    border: none;
}
.button-cancel{
    position: absolute;
    top: -100000px;
}
.edit-post-status span{
    font-size:12px;
}
.edit-post-status span {
    font-size: 12px;
    padding: 5px 10px;
    background: #eee;
    border-radius: 8px;
    position: relative;
    top: -3px;
}

#submitpost{
    margin: 0 auto;
}


.media-modal-content .media-toolbar-primary .media-button {
    min-height: 40px;
    width: 100%;
    line-height: 40px;
    padding: 0 12px;
    display: block;
    margin: 0 auto 20px;
    background: #000;
    border: none !important;
    border-radius: 40px;
}
.wp-core-ui .button {
    border-color: none !important;
    outline: none !important;
}
.wp-core-ui .button:hover {
    border-color: none !important;
    outline: none !important;
}
#edit-slug-buttons .button-small{
    border: none !important;
    color: #000;
    background: #eee;
    outline: none !important;
}
:focus {
    border-color: none !important;
  outline: none !important;
}
a {
    border-color: none !important;
  outline: none !important;
}
#edit-slug-buttons .button-small:focus {
    border: none !important;
    outline: none !important;
}